Package com.orchestranetworks.userservice

# Interface UserServiceInitializeContext<S extends EntitySelection>

All Superinterfaces:
  `UIResourceLocator`, `UserServiceInvocationContext<S>`, `UserServiceRequest`, `UserServiceResourceLocator`

public interface UserServiceInitializeContext<S extends EntitySelection> extends UserServiceInvocationContext<S>, UserServiceRequest, UserServiceResourceLocator
This interface provides information and utility methods useful when initializing a user service.

Since:
  5.8.1
See Also:
  - `UserServiceExtended.initialize(UserServiceInitializeContext)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addError(String aMessage)`
  Adds the specified error message.
  `void`
  `addInfo(String aMessage)`
  Adds the specified information message.
  `void`
  `addMessage(UserMessage aMessage)`
  Adds a message that will be displayed in the standard message pane of the user interface using same severity as `aMessage.getSeverity()`.
  `void`
  `addWarning(String aMessage)`
  Adds the specified warning message.
  `UserServiceTransaction`
  `createTransaction()`
  Creates an instance of UserServiceTransaction object that allows to execute multiple custom procedures.

  ### Methods inherited from interface com.orchestranetworks.ui.UIResourceLocator

  `createWebComponentForRootSession, createWebComponentForSubSession, getURLForAjaxComponent, getURLForAjaxComponent, getURLForPerspectiveSelection, getURLForPerspectiveSelection, getURLForResource, getURLForResource, getURLForResource, getURLForResource, getURLForResource, getURLForRest, getURLForSelection, getURLForSelection, getURLForSelection, getURLForSelection, getURLForSelection, getURLForSelection, getURLForViewSelection`

  ### Methods inherited from interface com.orchestranetworks.userservice.UserServiceInvocationContext

  `getEntitySelection`

  ### Methods inherited from interface com.orchestranetworks.userservice.UserServiceRequest

  `canClose, getCurrentPerspective, getParameter, getParameterValues, getRepository, getServiceDescription, getServiceKey, getServiceLabel, getServiceModuleName, getSession, isInitialDisplay`

  ### Methods inherited from interface com.orchestranetworks.userservice.UserServiceResourceLocator

  `getURLForAction, getURLForAction, getURLForAjaxRequest, getURLForAjaxRequest, getURLForEndingService, getURLForGetRequest, getURLForGetRequest, getURLForResource, getURLForResource, getURLForServiceSelection, getURLForServiceSelection, getURLForServiceSelection, getURLForServiceSelection, getURLForServiceSelection, getURLForServiceSelection, getURLForServiceSelection, getURLForServiceSelection, getURLForServiceSelection`

- ## Method Details

  - ### addMessage

    void addMessage(UserMessage aMessage)
    Adds a message that will be displayed in the standard message pane of the user interface using same severity as `aMessage.getSeverity()`.
    Parameters:
      `aMessage` - the message.

  - ### addError

    void addError(String aMessage)
    Adds the specified error message.
    Parameters:
      `aMessage` - the message.
    See Also:
      - `addMessage(UserMessage)`

  - ### addWarning

    void addWarning(String aMessage)
    Adds the specified warning message.
    Parameters:
      `aMessage` - the message.
    See Also:
      - `addMessage(UserMessage)`

  - ### addInfo

    void addInfo(String aMessage)
    Adds the specified information message.
    Parameters:
      `aMessage` - the message.
    See Also:
      - `addMessage(UserMessage)`

  - ### createTransaction

    UserServiceTransaction createTransaction()
    Creates an instance of UserServiceTransaction object that allows to execute multiple custom procedures.
    Returns:
      the new `UserServiceTransaction` object.